Update a checklist item (desk:write)
PATCH /api/desk/v1/items/{ref}/checklist/{checkId}
Module: Desk · operationId: updateItemChecklistItem · Tag: Activity · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
ref |
path | string | yes | Item id or number |
checkId |
path | string | yes |
Request body
application/json (required)
done(boolean)sortOrder(integer)text(string)
Example:
{
"done": true
}
Responses
- 200 Updated (
application/json)
Fields of the 200 answer:
done(boolean): Whether it is tickeddoneAt(string (date-time)): When it was tickeddoneBy(string): Login (e-mail) of who ticked itid(string): Id of the checklist itemitemId(string): Item the checklist belongs tosortOrder(integer): Position in lists (ascending)text(string): Text of the checklist item
Example 200 answer:
{
"done": true,
"doneAt": "2026-11-17T12:30:00Z",
"doneBy": "lukas.wimmer@muster-it.example",
"id": "4e1f2a3b-5c6d-4e7f-8a9b-1c2d3e4f5a01",
"itemId": "4a1b2c3d-5e6f-4a7b-8c9d-1e2f3a4b5c01",
"sortOrder": 1,
"text": "Ersatz-Switch aus dem Lager mitnehmen"
}
Example request
curl -X PATCH 'https://api.mbcom.cloud/api/desk/v1/items/string/checklist/string' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"done":true}'